//   перегрузка оператора вызова функции

#include <iostream.h>

class TAnyClass {
       int x;
    public:
       int operator()(void);
       TAnyClass(int n) { x = n; }
 };


main()
{
    TAnyClass object = 100;
     int q = object(); // выглядит как вызов функции !
     cout << q;
     return 0;
}



int TAnyClass::operator()(void)
{
       return x;
}

